Subject: Re: Problem: SCP and umask ?!
From: Duncan Rubinger <[email-masked]>
To: [email-masked]
Date: Thu, 3 Apr 2003 23:31:39 +0200

Hi,

>> I've changed th umask in the profile file to 000 for private reasons
>> and this works fine directly under bash!
>> But if I copy some files using any scp application, the files will be
>> created with 644 as umask! Each file gets rw-r--r-- ! Don't know why

IP> Two questions:
IP> 1) are you sure your "profile" is executed on scp?
IP> 2) why would Cygwin's umask affect Windows programs?  or am I missing
IP> something?
IP>         Igor

Yes, I'm sure, 'cause before it was on 644, after my change 000 really
works while I'm using the bash by commandline.
The curious thing is, that only for copied files on any scp
application (independent from the OS, Linux, Windows, etc.) app. the
files gets the above permissions :-(

Best regards, 

Duncan

The Lord of the token ring ...
"One Ring to link them all, One Ring to ping them,
one Ring to bring them all and in the darkness sniff them."

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/